.brand__info {
  display: flex;
  align-items: center;
  gap: 20px;
  align-self: stretch;
}
.brand__text {
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%;
}
.brand__text span {
  font-weight: 700;
}
.brand__descr-all {
  color: var(--primary-brand-pink, #f00a6e);
  font-size: 13px;
  font-style: normal;
  font-weight: 500;
  line-height: 130%; /* 16.9px */
  border-bottom: 1px dashed var(--primary-brand-pink, #f00a6e);
}

.brand__logo-wrap {
  display: flex;
  height: 70px;
  width: 193px;
  padding: 0 20px;
  justify-content: center;
  align-items: center;
  border-radius: 18px;
  border: 1px solid var(--secondary-ui-light-grey, #f3f4f6);
  background: #fff;
  flex-shrink: 0;
}
.brand__logo-wrap img {
  width: 100%;
  height: auto;
  max-height: 80%;
  -o-object-fit: contain;
     object-fit: contain;
  opacity: 0.3;
}

@media (max-width: 576px) {
  .brand__info {
    align-items: start;
    gap: 16px;
    flex-direction: column;
  }
  .brand__text {
    font-size: 13px;
    line-height: 130%;
  }
  .brand__descr-all {
    margin-top: 3px;
  }
  .brand__logo-wrap {
    height: 50px;
    width: 100%;
    border-radius: 12px;
  }
  .brand__logo-wrap img {
    height: 18px;
    width: auto;
    max-width: 100%;
    max-height: 18px;
  }
}
.brands-menu {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
}
.brands-menu__list {
  display: flex;
  align-items: flex-start;
  gap: 4px;
  flex-wrap: wrap;
}
.brands-menu__item {
  display: flex;
  padding: 9px 15px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  box-shadow: 0 0 0 1px inset var(--secondary-ui-light-grey, #f3f4f6);
  background: var(--secondary-ui-white, #fff);
  position: relative;
  overflow: hidden;
}
.brands-menu__item span {
  color: var(--Colors-for-light-Dark, #222d3a);
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 130%; /* 18.2px */
  position: relative;
  z-index: 1;
}
.brands-menu__item::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 0;
  opacity: 0;
  transition: opacity 0.3s;
  background: var(--primary-brand-gradient-red, linear-gradient(90deg, #fd6e70 0.02%, #f4a780 100%));
}
.brands-menu__item:hover {
  box-shadow: none;
}
.brands-menu__item:hover span {
  color: var(--secondary-ui-white, #fff);
}
.brands-menu__item:hover::before {
  opacity: 1;
}
.brands-menu__item_num {
  background: var(--secondary-ui-light-grey, #f3f4f6);
  box-shadow: none;
}
.brands-menu__item.active span {
  color: var(--secondary-ui-white, #fff);
}
.brands-menu__item.active {
  background: var(--primary-brand-gradient-purple, linear-gradient(90deg, #883be1 0.02%, #ff69a4 100%));
  box-shadow: none;
}

.brands {
  display: grid;
  grid-template-columns: repeat(3, minmax(0, 1fr));
  gap: 30px 40px;
  align-items: start;
}
.brands__submenu {
  display: flex;
  align-items: flex-start;
  gap: 40px;
}
.brands__submenu.is-hidden {
  display: none;
}
.brands__letter {
  display: flex;
  min-width: 50px;
  padding: 10px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 10px;
  border: 1px solid var(--secondary-ui-light-grey, #f3f4f6);
  background: var(--secondary-ui-white, #fff);
}
.brands__items {
  padding-top: 20px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 10px;
}
.brands__items a {
  color: var(--secondary-ui-blue, #49536c);
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 130%; /* 20.8px */
}
.brands__items a:hover {
  color: var(--primary-brand-pink, #f00a6e);
}

.brands-menu__tabs {
  display: none;
}

@media (max-width: 1150px) {
  .brands__submenu {
    gap: 15px;
  }
  .brands__items a {
    font-size: 14px;
    line-height: 130%;
  }
  .brands__letter {
    min-width: 44px;
    padding: 4px;
  }
}
@media (max-width: 768px) {
  .brands {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 20px;
  }
}
@media (max-width: 576px) {
  .brands-menu {
    display: block;
  }
  .brands-menu__list {
    gap: 2px;
  }
  .brands-menu__item {
    padding: 6px 12px;
    border-radius: 6px;
  }
  .brands-menu__item span {
    font-size: 13px;
  }
  .brands {
    grid-template-columns: 1fr;
    gap: 15px;
  }
  .brands__submenu {
    gap: 15px;
  }
  .brands__letter {
    min-width: 32px;
    padding: 4px;
  }
  .brands__items {
    padding-top: 7px;
  }
  .brands-menu__tabs {
    display: flex;
    align-items: flex-start;
    gap: 10px;
    align-self: stretch;
    margin-bottom: 15px;
  }
  .brands-menu__tab {
    border-radius: 8px;
    box-shadow: 0 0 0 1px inset var(--secondary-ui-light-grey, #f3f4f6);
    background: var(--secondary-ui-white, #fff);
    display: flex;
    padding: 9px 15px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex: 1 0 0;
    color: #000;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%; /* 18.2px */
  }
  .brands-menu__tab.active {
    background: var(--primary-brand-gradient-red, linear-gradient(90deg, #fd6e70 0.02%, #f4a780 100%));
    color: var(--secondary-ui-white, #fff);
    box-shadow: none;
  }
  .brands-menu__list {
    display: none;
  }
  .brands-menu__list.active {
    display: flex;
  }
}